<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<groupId>es.plexus.dojo.esei</groupId>
	<artifactId>spring-rest</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<parent>
    	<groupId>org.springframework.boot</groupId>
	    <artifactId>spring-boot-starter-parent</artifactId>
    	<version>2.1.8.RELEASE</version>
	</parent>	
	<properties>
		<java.version>1.8</java.version>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.sourceEncoding>UTF-8</project.reporting.sourceEncoding>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-aop</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>
		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
		    <scope>runtime</scope>
		</dependency>
		<dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
	</dependencies>
	<build>
	    <plugins>
    	    <plugin>
        	    <groupId>org.springframework.boot</groupId>
            	<artifactId>spring-boot-maven-plugin</artifactId>
	        </plugin>
			<plugin>
				<artifactId>maven-pmd-plugin</artifactId>
				<version>3.11.0</version>
				<configuration>
					<rulesets>${pom.basedir}/src/pmd.xml</rulesets>
					<skipEmptyReport>false</skipEmptyReport>
				</configuration>
				<executions>
					<execution>
						<id>report-pmd</id>
						<phase>test</phase>
						<goals>
							<goal>pmd</goal>
						</goals>
					</execution>
					<execution>
						<id>report-cpd</id>
						<phase>test</phase>
						<goals>
							<goal>cpd</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
